<Num_text>:
    hint_text: "0"
    multiline: 0
    write_tab: False
    font_size: self.height * .7


<Game_row@BoxLayout>:
    spacing: 2
    id1: 1
    name_1: "Name Player 1"
    id2: 2
    name_2: "Name Player 2"
    ToggleButton:
        size_hint_x: 0.1
        text: str(root.id1) if self.state == "normal" else "R"
    Label_f:
        size_hint_x: 0.4
        text: root.name_1
    TextInput:
        id:ttl_l
        size_hint_x: .1
        write_tab: False
        multiline: False
    #TextInput:
    #    id:sngl_l
    #    size_hint_x: .1
    #    write_tab: False
    #    disabled: True
    #TextInput:
    #    id:sngl_r
    #    size_hint_x: .1
    #    write_tab: False
    #    disabled: True
    TextInput:
        id:ttl_r
        size_hint_x: .1
        write_tab: False
        multiline: False
    Label_f:
        size_hint_x: 0.4
        text: root.name_2
    ToggleButton:
        size_hint_x: 0.1
        text: str(root.id2) if self.state == "normal" else "R"

<Team_select_popup_call_content>:
    orientation: 'vertical'

    BoxLayout:
        BoxLayout:
            orientation: "vertical"
            padding: 30,30,30,30
            spacing: 5
            canvas.before:
                Color:
                    rgba: 1,1,1,1
                Line:
                    width: 2
                    rectangle: self.x,self.y,self.width,self.height
            Label_f:
                id: team_1
                text: "Team _ 1"
                color: 1,1,1,1
            BoxLayout:
                id: p-1-1
                size_hint_y: 0.3
                ToggleButton:
                    size_hint_x: 0.4
                    id: tgl-1
                    on_state: root.clck(self)
                Label_f:
                    id: player_1_1
                    text: "player 1 team 1"
                    color: 1,1,1,1
            BoxLayout:
                id: p-2-1
                size_hint_y: 0.3
                ToggleButton:
                    size_hint_x: 0.4
                    id: tgl-2
                    on_state: root.clck(self)
                Label_f:
                    id: player_2_1
                    text: "player 1 team 1"
                    color: 1,1,1,1
            BoxLayout:
                size_hint_y: 0.3
                ToggleButton:
                    size_hint_x: 0.4
                    id: tgl-3
                    on_state: root.clck(self)
                Label_f:
                    id: player_3_1
                    text: "player 1 team 1"
                    color: 1,1,1,1
            BoxLayout:
                size_hint_y: 0.3
                ToggleButton:
                    size_hint_x: 0.4
                    id: tgl-4
                    on_state: root.clck(self)
                Label_f:
                    id: player_4_1
                    text: "player 1 team 1"
                    color: 1,1,1,1
            BoxLayout:
                size_hint_y: 0.3
                ToggleButton:
                    size_hint_x: 0.4
                    id: tgl-5
                    on_state: root.clck(self)
                Label_f:
                    id: player_5_1
                    text: "player 1 team 1"
                    color: 1,1,1,1
            Label:
                id: empty
            BoxLayout:
                ToggleButton:
                    size_hint_x: 0.4
                    id: tgl-11
                    on_state: root.clck(self)
                Label_f:
                    id: None_1
                    text: "No reserve"
                    color: 1,1,1,1
        BoxLayout:
            orientation: "vertical"
            padding: 30,30,30,30
            spacing: 5
            canvas.before:
                Color:
                    rgba: 1,1,1,1
                Line:
                    width: 2
                    rectangle: self.x,self.y,self.width,self.height
            Label_f:
                id: team_2
                text: "Team _ 2"
                color: 1,1,1,1
            BoxLayout:
                size_hint_y: 0.3
                ToggleButton:
                    size_hint_x: 0.4
                    id: tgl-6
                    on_state: root.clck(self)
                Label_f:
                    id: player_1_2
                    text: "player 1 team 1"
                    color: 1,1,1,1
            BoxLayout:
                size_hint_y: 0.3
                ToggleButton:
                    size_hint_x: 0.4
                    id: tgl-7
                    on_state: root.clck(self)
                Label_f:
                    id: player_2_2
                    text: "player 1 team 1"
                    color: 1,1,1,1
            BoxLayout:
                size_hint_y: 0.3
                ToggleButton:
                    size_hint_x: 0.4
                    id: tgl-8
                    on_state: root.clck(self)
                Label_f:
                    id: player_3_2
                    text: "player 1 team 1"
                    color: 1,1,1,1
            BoxLayout:
                size_hint_y: 0.3
                ToggleButton:
                    size_hint_x: 0.4
                    id: tgl-9
                    on_state: root.clck(self)
                Label_f:
                    id: player_4_2
                    text: "player 1 team 1"
                    color: 1,1,1,1
            BoxLayout:
                size_hint_y: 0.3
                ToggleButton:
                    size_hint_x: 0.4
                    id: tgl-10
                    on_state: root.clck(self)
                Label_f:
                    id: player_5_2
                    text: "player 1 team 1"
                    color: 1,1,1,1
            Label:
                id: empty
            BoxLayout:
                ToggleButton:
                    size_hint_x: 0.4
                    id: tgl-12
                    on_state: root.clck(self)
                Label_f:
                    id: None_2
                    text: "No reserve"
                    color: 1,1,1,1
    BoxLayout:
        size_hint: 0.4,0.1
        spacing: 15
        Button:
            text: "Done"
            #pos_hint:{'center_x':.5}
            on_release: root.Finish()
        Button:
            text: "Cancle"
            on_release: root.cncl()


<Team_select_popup_res_content>:
    orientation: "vertical"
    BoxLayout:
        id: title_bar
        orientation: "vertical"
        size_hint_y: 0.2
        canvas.before:
            Color:
                rgba: .3,.6,.6,1
            Rectangle:
                size: self.size
                pos: self.pos

        Label:
            text: "Insert Result"
            font_size: 24


        BoxLayout:
            size_hint_y: 0.65
            spacing: 50
            padding: 30
            Label_f:
                id: team_123
                text: "Team123"
                font_size: 42

            Label_f:
                id: team_456
                text: "team 456"
                font_size: 42


    BoxLayout:
        id: name_list
        size_hint_y: 0.2
        canvas.before:
            Color:
                rgba: .6,.3,.6,1
            Rectangle:
                size: self.size
                pos: self.pos
        GridLayout:
            cols:2
            Label_f:
                id: pl_1
                text: "Pl_1"
            Label_f:
                id: pl_4
                text: "Pl_4"
            Label_f:
                id: pl_2
                text: "Pl_2"
            Label_f:
                id: pl_5
                text: "Pl_5"
            Label_f:
                id: pl_3
                text: "Pl_3"
            Label_f:
                id: pl_6
                text: "Pl_6"
            Label_f:
                id: pl_r1
                text: "Pl_r1"
            Label_f:
                id: pl_r2
                text: "Pl_r2"

    BoxLayout:
        id: games
        orientation: "vertical"
        canvas.before:
            Color:
                rgba: .6,.3,.3,1
            Rectangle:
                size: self.size
                pos: self.pos
        BoxLayout:
            size_hint_y:0.07
            spacing: 10
            padding: 200,0,200,0
            Button:
                text: "fill"
                on_release: root.fill("l")
            Button:
                text: "fill"
                on_release: root.fill("r")
        BoxLayout:
            BoxLayout:
                id: left_nums
                orientation: "vertical"
                spacing:3
                padding:3
                size_hint_x: 0.05
                canvas.before:
                    Color:
                        rgb:1,0,0
                    Rectangle:
                        size: self.size
                        pos: self.pos
                ToggleButton:
                    id: LR_1
                    text: "3" if self.state == "normal" else "R"
                ToggleButton:
                    id: LR_2
                    text: "1" if self.state == "normal" else "R"
                ToggleButton:
                    id: LR_3
                    text: "2" if self.state == "normal" else "R"
                ToggleButton:
                    id: LR_4
                    text: "1" if self.state == "normal" else "R"
                ToggleButton:
                    id: LR_5
                    text: "3" if self.state == "normal" else "R"
                ToggleButton:
                    id: LR_6
                    text: "2" if self.state == "normal" else "R"
                ToggleButton:
                    id: LR_7
                    text: "1" if self.state == "normal" else "R"
                ToggleButton:
                    id: LR_8
                    text: "2" if self.state == "normal" else "R"
                ToggleButton:
                    id: LR_9
                    text: "3" if self.state == "normal" else "R"

            BoxLayout:
                id: left_names
                orientation: "vertical"
                spacing: 3
                padding: 3
                size_hint_x: 0.35
                canvas.before:
                    Color:
                        rgb:1,.4,0
                    Rectangle:
                        size: self.size
                        pos: self.pos
                Label_f:
                    id: L1
                    text: "name of player"
                Label_f:
                    id: L2
                    text: "name of player"
                Label_f:
                    id: L3
                    text: "name of player"
                Label_f:
                    id: L4
                    text: "name of player"
                Label_f:
                    id: L5
                    text: "name of player"
                Label_f:
                    id: L6
                    text: "name of player"
                Label_f:
                    id: L7
                    text: "name of player"
                Label_f:
                    id: L8
                    text: "name of player"
                Label_f:
                    id: L9
                    text: "name of player"

            BoxLayout:
                id: left_scores
                orientation: "vertical"
                padding: 3
                spacing: 3
                size_hint_x: 0.1
                canvas.before:
                    Color:
                        rgb:1,.6,0
                    Rectangle:
                        size: self.size
                        pos: self.pos
                Num_text:
                    id: LS1
                Num_text:
                    id: LS2
                Num_text:
                    id: LS3
                Num_text:
                    id: LS4
                Num_text:
                    id: LS5
                Num_text:
                    id: LS6
                Num_text:
                    id: LS7
                Num_text:
                    id: LS8
                Num_text:
                    id: LS9

            BoxLayout:
                id: right_scores
                orientation: "vertical"
                padding: 3
                spacing: 3
                size_hint_x: 0.1
                canvas.before:
                    Color:
                        rgb:0,0.6,1
                    Rectangle:
                        size: self.size
                        pos: self.pos
                Num_text:
                    id: RS1
                Num_text:
                    id: RS2
                Num_text:
                    id: RS3
                Num_text:
                    id: RS4
                Num_text:
                    id: RS5
                Num_text:
                    id: RS6
                Num_text:
                    id: RS7
                Num_text:
                    id: RS8
                Num_text:
                    id: RS9

            BoxLayout:
                id: right_names
                orientation: "vertical"
                spacing: 3
                padding: 3
                size_hint_x: 0.35
                canvas.before:
                    Color:
                        rgb:0,0.4,1
                    Rectangle:
                        size: self.size
                        pos: self.pos
                Label_f:
                    id: R1
                    text: "name of player"
                Label_f:
                    id: R2
                    text: "name of player"
                Label_f:
                    id: R3
                    text: "name of player"
                Label_f:
                    id: R4
                    text: "name of player"
                Label_f:
                    id: R5
                    text: "name of player"
                Label_f:
                    id: R6
                    text: "name of player"
                Label_f:
                    id: R7
                    text: "name of player"
                Label_f:
                    id: R8
                    text: "name of player"
                Label_f:
                    id: R9
                    text: "name of player"

            BoxLayout:
                id: right_nums
                orientation: "vertical"
                spacing: 3
                padding: 3
                size_hint_x: 0.05
                canvas.before:
                    Color:
                        rgb:0,0,1
                    Rectangle:
                        size: self.size
                        pos: self.pos

                ToggleButton:
                    id: RR_1
                    text: "6" if self.state == "normal" else "R"
                ToggleButton:
                    id: RR_2
                    text: "5" if self.state == "normal" else "R"
                ToggleButton:
                    id: RR_3
                    text: "4" if self.state == "normal" else "R"
                ToggleButton:
                    id: RR_4
                    text: "6" if self.state == "normal" else "R"
                ToggleButton:
                    id: RR_5
                    text: "4" if self.state == "normal" else "R"
                ToggleButton:
                    id: RR_6
                    text: "5" if self.state == "normal" else "R"
                ToggleButton:
                    id: RR_7
                    text: "4" if self.state == "normal" else "R"
                ToggleButton:
                    id: RR_8
                    text: "6" if self.state == "normal" else "R"
                ToggleButton:
                    id: RR_9
                    text: "5" if self.state == "normal" else "R"


    BoxLayout:
        id: commands
        size_hint_y:0.1
        padding: 40,5
        spacing: 20
        canvas.before:
            Color:
                rgba: .6,.6,.3,0
            Rectangle:
                size: self.size
                pos: self.pos
        Button:
            text: "Edit arrange"
            on_release: root.edit_arrange()
        Button:
            text: "Finish"
            on_release: root.finish()
        Button:
            text: "Close"
            on_release: root.close()